/**
 * @file
 * Stubs for the default data model functions
 *
 * @copyright Axiros GmbH 2015-2017, All rights reserved
 */

#ifndef DEFAULTDATAMODELFUNCTIONS_H
#define DEFAULTDATAMODELFUNCTIONS_H

#include "compiler.h"

struct dm_object;
struct dm_parameter;

int dm_default_read_deviceinfo (struct dm_object *obj);
int dm_default_read_ethernet_interface (struct dm_object *obj);
int dm_default_read_ethernet_interface_stats (struct dm_object *obj);
int dm_default_read_ethernet_link (struct dm_object *obj);
int dm_default_read_ip (struct dm_object *obj);
int dm_default_read_ip_interface_ipv4address (struct dm_object *obj);
int dm_default_read_managementserver (struct dm_object *obj);
int dm_default_read_time (struct dm_object *obj);
int dm_default_read_xmpp_connection (struct dm_object *obj);

int dm_default_write_managementserver (struct dm_object *obj, struct dm_parameter *par, char *value, int check);
int dm_default_write_xmpp_connection (struct dm_object *obj, struct dm_parameter *par, char *value, int check);
int dm_default_write_xmpp_connection_server (struct dm_object *obj, struct dm_parameter *par, char *value, int check);

int dm_default_tabinit_deviceinfo_processstatus_process (struct dm_object *obj);
int dm_default_tabinit_ethernet_link (struct dm_object *obj);
int dm_default_tabinit_interfacestack (struct dm_object *obj);
int dm_default_tabinit_ip_interface (struct dm_object *obj);
int dm_default_tabinit_ip_interface_ipv4address (struct dm_object *obj);

int dm_default_tabmodify_xmpp_connection (struct dm_object *obj, struct dm_parameter *p1, char *p2, int add);
int dm_default_tabmodify_ip_interface_ipv4address (struct dm_object *obj, struct dm_parameter *p1, char *p2, int add);
int dm_default_tabmodify_xmpp_connection_server (struct dm_object *obj, struct dm_parameter *p1, char *p2, int add);

int dm_default_operate_reboot (struct dm_object *input) ARGS_NONNULL;
int dm_default_operate_localagent_addcertificate (struct dm_object *input) ARGS_NONNULL;
int dm_default_operate_localagent_certificate_delete (struct dm_object *input) ARGS_NONNULL;
int dm_default_operate_localagent_certificate_getfingerprint (struct dm_object *input) ARGS_NONNULL;
int dm_default_operate_scheduletimer (struct dm_object *input) ARGS_NONNULL;
int dm_default_read_localagent (struct dm_object *obj) ARGS_NONNULL;
int dm_default_write_localagent_controller_e2esession (struct dm_object *obj, struct dm_parameter *par, char *value, int check);
int dm_default_operate_ip_downloaddiagnostics (struct dm_object *input) ARGS_NONNULL;
int dm_default_operate_ip_ipping (struct dm_object *input) ARGS_NONNULL;
int dm_default_operate_cancel (struct dm_object *input) ARGS_NONNULL;

#endif /* DEFAULTDATAMODELFUNCTIONS_H */
