/**
 * @file
 *
 * @copyright Axiros GmbH 2013-2021, All rights reserved
 *
 * @brief Initialization definitions for OS Mapping functions
 */

#ifndef MAPINIT_H_
#define MAPINIT_H_

struct event_base;


/**
 * @brief Initialize mapping functions
 * @param[in] evbase lib event base reference to define own events
 *
 * @return 0: Success or 1: Error
 */
int mapinit_initialize (struct event_base *evbase);


/**
 * @brief Shutdown mapping functions
 */
void mapinit_shutdown (void);

#endif /* MAPINIT_H_ */
